microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parâmetros de caminho
name
string
exigido
The name of the memory store.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Corpo da solicitação
Content-Type: application/json
scope
string
exigido
The namespace that logically groups and isolates memories to delete, such as a user ID.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
object
enum
exigido
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
exigido
The name of the memory store.
scope
string
exigido
The scope from which memories were deleted.
deleted
boolean
exigido
Whether the deletion operation was successful.
Solicitar
POST /memory_stores/{name}:delete_scope HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json